package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.MerchantStatus;
import com.chelvc.framework.base.model.File;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 商家数据模型
 *
 * @author xp
 * @data 2023/4/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class MerchantModifyParam { /**

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家名称
     */
    private String name;

    /**
     * 商家Logo
     */
    private String logo;

    /**
     * 轮播图列表
     */
    private List<File> banners;

    /**
     * 联系人
     */
    private String liaison;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 营业时间
     */
    private String opening;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 商家评分
     */
    private Double score;

    /**
     * 订单销量
     */
    private Integer sale;

    /**
     * 所属地区
     */
    private Integer region;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 商家状态
     */
    private MerchantStatus status;
}
